> ## Documentation Index
> Fetch the complete documentation index at: https://ai-recruiter.micro1.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all saved interviews

> This endpoint fetches all interviews that have been previously created and saved, such as interviews for specific roles like Full Stack Engineer or LLM Engineer.



## OpenAPI

````yaml get /interviews
openapi: 3.0.3
info:
  title: micro1 Public API
  description: micro1 ai-interview platform public API
  version: 1.0.0
  termsOfService: https://www.micro1.ai/terms-conditions
  contact:
    name: micro1 API Support
    url: https://www.micro1.ai
    email: support@micro1.ai
servers:
  - url: https://public.api.micro1.ai
    description: Production server
security:
  - apiKey: []
paths:
  /interviews:
    get:
      tags:
        - Interview
      summary: Get all saved interviews
      description: >-
        This endpoint fetches all interviews that have been previously created
        and saved, such as interviews for specific roles like Full Stack
        Engineer or LLM Engineer.
      operationId: aiInterviewer-34586a03-d777-4757-8c54-f8d7e4c821a5
      parameters:
        - name: page
          in: query
          description: Page number
          required: false
          schema:
            $ref: '#/components/schemas/page'
        - name: limit
          in: query
          description: Number of items per page
          required: false
          schema:
            $ref: '#/components/schemas/limit'
        - name: keyword
          in: query
          description: Keyword to search for
          required: false
          schema:
            $ref: '#/components/schemas/keyword'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/8b24a4dd-e959-4345-8e0e-7551d63da6e8'
          headers:
            Access-Control-Allow-Origin:
              description: >-
                The Access-Control-Allow-Origin response header indicates
                whether the response can be shared with requesting code from the
                given
                [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin).
                - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Origin'
            Access-Control-Allow-Credentials:
              description: >-
                The Access-Control-Allow-Credentials response header tells
                browsers whether to expose the response to the frontend
                JavaScript code when the request's credentials mode
                ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials))
                is include. - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Credentials'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/3e6955c6-1b91-4818-a780-401b36e276c0'
          headers:
            Access-Control-Allow-Origin:
              description: >-
                The Access-Control-Allow-Origin response header indicates
                whether the response can be shared with requesting code from the
                given
                [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin).
                - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Origin'
            Access-Control-Allow-Credentials:
              description: >-
                The Access-Control-Allow-Credentials response header tells
                browsers whether to expose the response to the frontend
                JavaScript code when the request's credentials mode
                ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials))
                is include. - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Credentials'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/338a7eb8-2dcc-424c-a88b-59a6b4122b66'
          headers:
            Access-Control-Allow-Origin:
              description: >-
                The Access-Control-Allow-Origin response header indicates
                whether the response can be shared with requesting code from the
                given
                [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin).
                - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Origin'
            Access-Control-Allow-Credentials:
              description: >-
                The Access-Control-Allow-Credentials response header tells
                browsers whether to expose the response to the frontend
                JavaScript code when the request's credentials mode
                ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials))
                is include. - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Credentials'
      security:
        - apiKey: []
components:
  schemas:
    page:
      type: integer
    limit:
      type: integer
    keyword:
      type: string
    8b24a4dd-e959-4345-8e0e-7551d63da6e8:
      title: GetAllInterviewsResponse
      description: Response for getting all interviews
      type: object
      properties:
        status:
          type: boolean
          description: Status of the response
          example: 'true'
        message:
          type: string
          description: Message of the response
          example: Interviews fetched successfully
        data:
          type: array
          description: List of interviews
          items:
            title: Interview
            description: Interview object
            type: object
            properties:
              interview_id:
                type: string
                description: ID of the interview
                example: 123e4567-e89b-12d3-a456-426614174000
              interview_name:
                type: string
                description: Name of the interview
                example: Full Stack Engineer Interview
              invite_url:
                type: string
                description: The URL to invite the candidates to the interview
                example: >-
                  https://interview.micro1.ai/intro/micro1?uid=123e4567-e89b-12d3-a456-426614174000
              skills:
                type: array
                description: Required skills for the interview
                items:
                  type: object
                  properties:
                    name:
                      type: string
                      description: Name of the skill
                      example: React
                    description:
                      type: string
                      description: Description of the skill
                      example: Must be proficient in React Context API
                example:
                  - name: React
                    description: Must be proficient in React Context API
              custom_questions:
                type: array
                description: Custom questions for the interview
                items:
                  type: object
                  description: Custom question for the interview
                  properties:
                    question:
                      type: string
                      description: The question for the interview
                      example: Where do you see yourself in 5 years?
                    time:
                      type: number
                      description: The time for the question in seconds
                      example: 120
                    type:
                      type: string
                      description: The type of the question
                      example: audio
                      enum:
                        - audio
                        - text
                example:
                  - question: Where do you see yourself in 5 years?
                    time: 120
                    type: audio
              interview_language:
                type: string
                description: Language of the interview
                example: English
              can_change_interview_language:
                type: boolean
                description: Whether the candidate can change the interview language
                example: false
              only_coding_round:
                type: boolean
                description: Whether the interview is a coding round only
                example: true
              is_coding_round_required:
                type: boolean
                description: ​​Whether the coding round is required
                example: true
              selected_coding_language:
                type: string
                description: The coding language for the coding round
                example: Python
              is_proctoring_required:
                type: boolean
                description: Whether the proctoring is required
                example: true
              date_created:
                type: string
                description: Date created of the interview
                example: '2021-01-01 00:00:00'
              date_modified:
                type: string
                description: Date modified of the interview
                example: '2021-01-01 00:00:00'
              status:
                type: string
                description: Status of the interview
                example: active
    Access-Control-Allow-Origin:
      type: string
      default: '*'
      example: https://developer.mozilla.org
    Access-Control-Allow-Credentials:
      type: boolean
      default: true
    3e6955c6-1b91-4818-a780-401b36e276c0:
      title: BadRequestResponse
      description: Response for bad requests
      type: object
      properties:
        status:
          type: boolean
          description: Whether the request was successful
          example: false
        message:
          type: string
          description: The error message
          example: Invalid request
    338a7eb8-2dcc-424c-a88b-59a6b4122b66:
      title: InternalServerErrorResponse
      description: Response for internal server error
      type: object
      properties:
        status:
          type: boolean
          description: Whether the request was successful
          example: false
  securitySchemes:
    apiKey:
      description: API key to access the API
      type: apiKey
      name: x-api-key
      in: header

````